AMCLSensor Class Referenceabstract
Inheritance diagram for AMCLSensor:

## Public Member Functions

| AMCLSensor (AdaptiveMCL &aAMCL)
virtual int | Load (ConfigFile *cf, int section)
virtual int | Unload (void)
virtual int | Setup (void)
virtual int | Shutdown (void)
virtual int | ProcessMessage (QueuePointer &resp_queue, player_msghdr *hdr, void *data)=0
virtual bool | UpdateAction (pf_t *pf, AMCLSensorData *data)
virtual bool | InitSensor (pf_t *pf, AMCLSensorData *data)
virtual bool | UpdateSensor (pf_t *pf, AMCLSensorData *data)

## Public Attributes

bool | is_action
pf_vector_t | pose

## Protected Attributes

AdaptiveMCL & | AMCL

The documentation for this class was generated from the following files:

- amcl_sensor.h
- amcl_sensor.cc

Last updated 12 September 2005 21:38:45